content/operate/rs/7.4/references/rest-api/requests/bootstrap/validate.md
| Method | Path | Description |
|---|---|---|
| POST | /v1/bootstrap/validate/{action} | Perform bootstrap validation |
POST /v1/bootstrap/validate/{action}
Perform bootstrap validation.
Unlike actual bootstrapping, this request blocks and immediately returns with a response.
POST /v1/bootstrap/validate/join_cluster
The request must contain a [bootstrap configuration object]({{< relref "/operate/rs/7.4/references/rest-api/objects/bootstrap" >}}), similar to the one used for actual bootstrapping.
If an error occurs, the call returns a bootstrap_status JSON object that contains the following fields:
| Field | Description |
|---|---|
| state | Current bootstrap state. |
</br>idle: No bootstrapping started. | |
</br>initiated: Bootstrap request received. | |
</br>creating_cluster: In the process of creating a new cluster. | |
</br>joining_cluster: In the process of joining an existing cluster. | |
</br>error: The last bootstrap action failed. | |
</br>completed: The last bootstrap action completed successfully. | |
| start_time | Bootstrap process start time |
| end_time | Bootstrap process end time |
| error_code | If state is error, this error code describes the type of error encountered. |
| error_details | An error-specific object that may contain additional information about the error. A common field in use is message which provides a more verbose error message. |
| Code | Description |
|---|---|
| 200 OK | No error, validation was successful. |
| 406 Not Acceptable | Validation failed, bootstrap status is returned as body. |